/*
** Author: Dimitris Diochnos
** email : diochnos AT gmail DOT com
**
** File Name: mighty_classes.cpp
**
** Date Started : 20 April 2006.
** Date Finished: 28 April 2006.
**
** internals_mc (version 1.0)
** Date Started :  6 July 2007.
** Date Finished: 11 July 2007.
**
** internals_mc (version 1.1)
** Date Started : 12 July 2007.
** Date Finished: 20 July 2007.
**
**
** Tab space: 3
**
**
** Basic definitions and global variables.
**
*/

#ifndef __SECONDARY_SKILLS_MIGHTY_H__
#define __SECONDARY_SKILLS_MIGHTY_H__

// So that you avoid warning for strcpy () in Visual Studio:
#ifndef _CRT_SECURE_NO_DEPRECATE
#define _CRT_SECURE_NO_DEPRECATE
#endif

/* Caution: NULL_SKILL is included in the following. */
#define DIFF_SEC_SKILLS 29

#define TOTAL_CHANCES 112
#define DEFAULT_MAGIC_SCHOOL_LEVEL 4
#define DEFAULT_WISDOM_LEVEL 6
#define SKILL_SLOTS 8
#define NUM_HEROES 8

/*****************************************************************************/

// Default FILENAMES for preference files.
#define DEFAULT_ALTP_PREFS_FILE "altp_prefs.txt"
#define DEFAULT_SPOU_PREFS_FILE "spou_prefs.txt"

/*****************************************************************************/

// Definitions for various algorithms.
#define ANSA_ALGO 1
#define AR_ALGO 1
#define AL_ALGO 2
#define ALTP_ALGO 3
#define SPOU_ALGO 4
//#define FMTP_ALGO 5

/*****************************************************************************/

enum Skill_Level { BASIC = 1, ADVANCED, EXPERT };

/*****************************************************************************/

enum Secondary_Skills { NULL_SKILL = 0, AIR_MAGIC, ARCHERY, ARMORER, ARTILLERY, BALLISTICS, DIPLOMACY, EAGLE_EYE, EARTH_MAGIC, ESTATES, FIRE_MAGIC, FIRST_AID, INTELLIGENCE, LEADERSHIP, LEARNING, LOGISTICS, LUCK, MYSTICISM, NAVIGATION, NECROMANCY, OFFENSE, PATHFINDING, RESISTANCE, SCHOLAR, SCOUTING, SORCERY, TACTICS, WATER_MAGIC, WISDOM };

/*****************************************************************************/

enum Hero_Classes { ALCHEMIST = 0, BARBARIAN, BEASTMASTER, DEATH_KNIGHT, DEMONIAC, KNIGHT, OVERLORD, PLANESWALKER, RANGER};

/*****************************************************************************/

enum Alchemists { FAFNER = 0, IONA, NEELA, PIQUEDRAM, JOSEPHINE, RISSA, THANE, TOROSAR };
enum Barbarians { CRAG_HACK = 0, GRETCHIN, GURNISSON, JABARKAS, KRELLION, SHIVA, TYRAXOR, YOG };
enum Beastmasters { ALKIN = 0, BROGHILD, BRON, DRAKON, GERWULF, KORBAC, TAZAR, WYSTAN };
enum Death_Knights { CHARNA = 0, CLAVIUS, GALTHRAN, ISRA, MOANDOR, TAMIKA, STRAKER, VOKIAL };
enum Demoniacs { RASHKA = 0, CALH, FIONA, IGNATIUS, MARIUS, NYMUS, PYRE, OCTAVIA };
enum Knights { EDRIC = 0, ORRIN, SYLVIA, LORD_HAART, VALESKA, CHRISTIAN, SORSHA, TYRIS, SIR_MULLICH };
enum Overlords { AJIT = 0, ARLACH, DACE, DAMACON, GUNNAR, LORELEI, SHAKTI, SYNCA };
enum Planeswalkers { ERDAMON = 0, FIUR, IGNISSA, KALT, LACUS, MONERE, PASIS, THUNAR };
enum Rangers { CLANCY = 0, IVOR, JENOVA, KYRRE, MEPHALA, RYLAND, THORGRIM, UFRETIN, GELU };

/*****************************************************************************/

#endif
